Overview
GET
/access/personas/{id}/may-actregistryList the subject kinds a persona may act for (always includes seeded 'self')
Fetch a record from may-act by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
the granted subject kinds
- kinds"self" | "user" | "team" | "org"[]
the subject kinds this persona may act for (always includes 'self')
Example
{
"kinds": [
"self"
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/access/personas/{id}/may-act" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/{id}/may-act", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();